ros-humble-pilz-industrial-motion-planner (2.5.9-1jammy) jammy; urgency=high

  * Ports moveit1 #3689 <https://github.com/ros-planning/moveit/issues/3689> (backport #3357 <https://github.com/ros-planning/moveit2/issues/3357>) (#3364 <https://github.com/ros-planning/moveit2/issues/3364>)
    * Publish planning scene while planning (#3689 <https://github.com/ros-planning/moveit/issues/3689>)
  * Contributors: Mark Johnson

 -- Christian Henkel <c.henkel@pilz.de>  Tue, 15 Apr 2025 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.8-1jammy) jammy; urgency=high

  * Use ! in place of not keyword for Pilz and CHOMP planners (#3217 <https://github.com/ros-planning/moveit2/issues/3217>) (#3221 <https://github.com/ros-planning/moveit2/issues/3221>)
  * pilz_industrial_motion_planner: Use tf2::fromMsg instead of tf2::convert (#3219 <https://github.com/ros-planning/moveit2/issues/3219>) (#3223 <https://github.com/ros-planning/moveit2/issues/3223>)
  * Update deprecated tf2 imports from .h to .hpp (backport #3197 <https://github.com/ros-planning/moveit2/issues/3197>) (#3199 <https://github.com/ros-planning/moveit2/issues/3199>)
  * Contributors: Sebastian Castro, Silvio Traversaro, mergify[bot]

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 09 Feb 2025 05:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.7-1jammy) jammy; urgency=high

  * Fix: Resolve race condition in MoveGroupSequenceAction (backport #3125 <https://github.com/ros-planning/moveit2/issues/3125>) (#3127 <https://github.com/ros-planning/moveit2/issues/3127>)
  * Enhancement/moveit ros1 ports (backport #3041 <https://github.com/ros-planning/moveit2/issues/3041>) (#3118 <https://github.com/ros-planning/moveit2/issues/3118>)
  * Contributors: Maxwell.L, Tom Noble, Mark Johnson

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 29 Dec 2024 05:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.6-1jammy) jammy; urgency=high

  * Allow RobotState::setFromIK to work with subframes (backport #3077 <https://github.com/ros-planning/moveit2/issues/3077>) (#3085 <https://github.com/ros-planning/moveit2/issues/3085>)
  * Enhancement/ports moveit 3522 (backport #3070 <https://github.com/ros-planning/moveit2/issues/3070>) (#3074 <https://github.com/ros-planning/moveit2/issues/3074>)
  * Ports moveit/moveit/pull/3519 to ros2 (backport #3055 <https://github.com/ros-planning/moveit2/issues/3055>) (#3061 <https://github.com/ros-planning/moveit2/issues/3061>)
  * Fix Pilz blending times (backport #2961 <https://github.com/ros-planning/moveit2/issues/2961>) (#3000 <https://github.com/ros-planning/moveit2/issues/3000>)
  * PILZ: Throw if IK solver doesn't exist (#2082 <https://github.com/ros-planning/moveit2/issues/2082>) (#2921 <https://github.com/ros-planning/moveit2/issues/2921>)
  * Contributors: Tom Noble, Sebastian Castro, Sebastian Jahr, Robert Haschke, mergify[bot]

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 17 Nov 2024 05:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.5-1jammy) jammy; urgency=high

  * Pilz multi-group incompatibility (#1856 <https://github.com/ros-planning/moveit2/issues/1856>) (#2306 <https://github.com/ros-planning/moveit2/issues/2306>)
    (cherry picked from commit 5bbe21b3574d3e3ef2a2c681b3962f70c3db7e78)
    Co-authored-by: Marco Magri <mailto:94347649+MarcoMagriDev@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Fx class_loader warnings in PILZ unittests (#2296 <https://github.com/ros-planning/moveit2/issues/2296>) (#2303 <https://github.com/ros-planning/moveit2/issues/2303>)
    (cherry picked from commit d4dcea36d9767605fc1921716a67a0c6e9be2a2e)
    Co-authored-by: Yang Lin <mailto:todoubaba@gmail.com>
  * fix: resolve bugs in MoveGroupSequenceAction class (main branch) (#1797 <https://github.com/ros-planning/moveit2/issues/1797>) (#1809 <https://github.com/ros-planning/moveit2/issues/1809>)
    * fix: resolve bugs in MoveGroupSequenceAction class
    * style: adopt .clang-format
    Co-authored-by: Marco Magri <mailto:marco.magri@fraunhofer.it>
    (cherry picked from commit fca8e9bd3f41e6bff5aadbf75c494b5cc3fa25ee)
    Co-authored-by: Marco Magri <mailto:94347649+MarcoMagriDev@users.noreply.github.com>
  * Use <> for non-local headers (#1765 <https://github.com/ros-planning/moveit2/issues/1765>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
    (cherry picked from commit 7a1f2a101f9aeb8557e8a31656bbe1a6d53b430e)
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Chris Thrasher, mergify[bot]

 -- Christian Henkel <c.henkel@pilz.de>  Sun, 10 Sep 2023 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.4-1jammy) jammy; urgency=high

  * Backport to Humble (#1642 <https://github.com/ros-planning/moveit2/issues/1642>)
    Co-authored-by: Robert Haschke <mailto:rhaschke@techfak.uni-bielefeld.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
    Co-authored-by: Jochen Sprickerhof <mailto:git@jochen.sprickerhof.de>
  * Use MoveItConfigsBuilder in Pilz test launch file (#1571 <https://github.com/ros-planning/moveit2/issues/1571>) (#1662 <https://github.com/ros-planning/moveit2/issues/1662>)
    (cherry picked from commit 5e880bacaad780f511ed99847050216a8b9905c1)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Add planner configurations to CHOMP and PILZ (#1522 <https://github.com/ros-planning/moveit2/issues/1522>) (#1656 <https://github.com/ros-planning/moveit2/issues/1656>)
    (cherry picked from commit 888fc5358280b20edc394947e98341c0f03dc0bd)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>) (#1652 <https://github.com/ros-planning/moveit2/issues/1652>)
    (cherry picked from commit 7d758de1b2f2904b8c85520129fa8d48aad93713)
    Co-authored-by: J. Javan <mailto:J-Javan@users.noreply.github.com>
  * Removed plan_with_sensing (#1142 <https://github.com/ros-planning/moveit2/issues/1142>) (#1647 <https://github.com/ros-planning/moveit2/issues/1647>)
    (cherry picked from commit ad9fb465776c68d53431ec477ff89d7e4e25f3b3)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: Tyler Weaver, mergify[bot]

 -- Christian Henkel <c.henkel@pilz.de>  Fri, 04 Nov 2022 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.3-1jammy) jammy; urgency=high

  * rename header files so debs are installable (#1443 <https://github.com/ros-planning/moveit2/issues/1443>)
  * Contributors: Michael Ferguson

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 28 Jul 2022 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.2-1jammy) jammy; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Switch to hpp headers of pluginlib
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * Contributors: AndyZe, David V. Lu, Henry Moore, Jafar, Jochen Sprickerhof, Michael Görner, Vatan Aksoy Tezer, v4hn

 -- Christian Henkel <c.henkel@pilz.de>  Mon, 18 Jul 2022 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.1-1jammy) jammy; urgency=high

  * Fix exporting PILZ's move_group capabilities (#1281 <https://github.com/ros-planning/moveit2/issues/1281>)
  * Contributors: Jafar

 -- Christian Henkel <c.henkel@pilz.de>  Tue, 31 May 2022 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.5.0-1jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * Fix double delete in PILZ CIRC generation (#1229 <https://github.com/ros-planning/moveit2/issues/1229>)
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Use orocos_kdl_vendor package (#1207 <https://github.com/ros-planning/moveit2/issues/1207>)
  * Remove new operators (#1135 <https://github.com/ros-planning/moveit2/issues/1135>)
    replace new operator with make_shared
  * [moveit_cpp] Fix double param declaration (#1097 <https://github.com/ros-planning/moveit2/issues/1097>)
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Fix missing boost::ref -> std::ref
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Compilation fixes for Jammy and bring back Rolling CI (#1095 <https://github.com/ros-planning/moveit2/issues/1095>)
  * Merge https://github.com/ros-planning/moveit/commit/25a63b920adf46f0a747aad92ada70d8afedb3ec
  * Merge https://github.com/ros-planning/moveit/commit/0d7462f140e03b4c319fa8cce04a47fe3f650c60
  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit2/issues/3043>)
  * Resolve ambiguous function specification (#3040 <https://github.com/ros-planning/moveit2/issues/3040>)
    As Eigen introduced construction from brace-initializers as well, we do need to distinguish between
    void setJointGroupPositions(const JointModelGroup* group, const std::vector<double>&) and
    void setJointGroupPositions(const JointModelGroup* group, const Eigen::VectorXd&)
  * Add missing test dependencies (#1027 <https://github.com/ros-planning/moveit2/issues/1027>)
  * Add moveit_configs_utils package to simplify loading paramters (#591 <https://github.com/ros-planning/moveit2/issues/591>)
  * Merge pr #3000 <https://github.com/ros-planning/moveit2/issues/3000>: Pilz planner: improve reporting of invalid start joints
  * pilz: restrict start state check to active group
  * pilz: report joint name with invalid limits in start state
    it does not provide enough feedback, is almost trivial and does redundant checks in the single case it's called from.
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
  * Fix orientation of subframe offset in Pilz planners (#2890 <https://github.com/ros-planning/moveit2/issues/2890>)
    Fix #2879 <https://github.com/ros-planning/moveit2/issues/2879> by reorienting the subframe offset applied to a goal pose in the PTP planner,
  * Merge PRs #2948 <https://github.com/ros-planning/moveit2/issues/2948> (improve CI) and #2949 <https://github.com/ros-planning/moveit2/issues/2949> (simplify ROS .test files)
  * Remove unused moveit_planning_execution.launch
  * Use test_environment.launch in unittests
  * Rename launch argument execution_type -> fake_execution_type
    ... to clarify that this parameter is only used for fake controllers
  * Pilz unittests: use test_environment.launch
  * Merge PR #2940 <https://github.com/ros-planning/moveit2/issues/2940>: Improve error messages of Pilz planner
  * Fix typo: demangel -> demangle
  * Remove deprecated xacro --inorder
  * Fix unittests by providing a valid JMG
  * Don't complain about missing limits for irrelevant JMGs
    When planning an arm motion, Pilz's PTP planner shouldn't complain (and bail out)
    on missing joint limits of hand joints!
  * Avoid duplicate error messages
  * Improve error messages
    - Downgrade ERROR to WARN
    - Report affected joint name
    - Quote (possibly empty) planner id
  * Contributors: Abishalini, Gaël Écorchard, Henning Kayser, Jafar, Jafar Abdi, Jochen Sprickerhof, Robert Haschke, Sencer Yazıcı, Tom Noble, Tyler Weaver, Vatan Aksoy Tezer, jeoseo, v4hn

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 26 May 2022 04:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.4.0-1jammy) jammy; urgency=high

  * Remove 'using namespace' from header files. (#994 <https://github.com/ros-planning/moveit2/issues/994>)
  * Fix missing ament_cmake_gtest dependency (#981 <https://github.com/ros-planning/moveit2/issues/981>)
  * Remove some Maintainers from Pilz Planner (#971 <https://github.com/ros-planning/moveit2/issues/971>)
  * Fix usage of boost placeholder (#958 <https://github.com/ros-planning/moveit2/issues/958>)
  * Merge https://github.com/ros-planning/moveit/commit/a0ee2020c4a40d03a48044d71753ed23853a665d
  * Remove '-W*' options from cmake files (#2903 <https://github.com/ros-planning/moveit2/issues/2903>)
  * Add test for pilz planner with attached objects (#2878 <https://github.com/ros-planning/moveit2/issues/2878>)
    * Add test case for #2824 <https://github.com/ros-planning/moveit2/issues/2824>
    Co-authored-by: Cristian Beltran <mailto:cristianbehe@gmail.com>
    Co-authored-by: Joachim Schleicher <mailto:joachimsl@gmx.de>
    Co-authored-by: jschleicher <mailto:j.schleicher@pilz.de>
  * Contributors: Abishalini, Cory Crean, Leroy Rügemer, Tyler Weaver, Wolf Vollprecht, cambel, jschleicher

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 20 Jan 2022 05:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.3.2-1jammy) jammy; urgency=high



 -- Christian Henkel <c.henkel@pilz.de>  Wed, 29 Dec 2021 05:00:00 -0000

ros-humble-pilz-industrial-motion-planner (2.3.1-1jammy) jammy; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Consider simulated time (#883 <https://github.com/ros-planning/moveit2/issues/883>)
  * Use CallbackGroup for MoveGroupSequenceAction
  * PILZ: Build fixups, silence warnings, fix unit tests
  * PILZ: Migrate and Restructure test directory
  * PILZ: Migrate planner and testutils packages to ROS 2
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Consider attached bodies in Pilz planner #2773 <https://github.com/ros-planning/moveit/issues/2773> (#2824 <https://github.com/ros-planning/moveit/issues/2824>)
    - Remove convertToRobotTrajectory() and integrate its line of code into setSuccessResponse()
    - Pass the final start_state into setSuccessResponse()
  * Fix Pilz planner's collision detection (#2803 <https://github.com/ros-planning/moveit/issues/2803>)
    We need to pass the current PlanningScene down to the actual collision checking methods
  * Add planning_pipeline_id to MotionSequence service (#2755 <https://github.com/ros-planning/moveit/issues/2755>)
    * Add planning_pipeline_id to MotionSequence action and service
    * check for empty request
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Improve readability of comment
  * Contributors: David V. Lu!!, Felix von Drigalski, Gaël Écorchard, Henning Kayser, Parthasarathy Bana, Robert Haschke, Sebastian Jahr, Sencer Yazıcı, aa-tom, cambel, predystopic-dev, pvanlaar
  * [feature] Add Pilz industrial motion planner (#1893 <https://github.com/tylerjw/moveit/issues/1893>)
  * Contributors: Pilz GmbH and Co. KG, Christian Henkel, Immanuel Martini, Joachim Schleicher, rfeistenauer

 -- Christian Henkel <c.henkel@pilz.de>  Thu, 23 Dec 2021 05:00:00 -0000


